[VB 2005] utilisation du framework 1.1

Signaler
Messages postés
117
Date d'inscription
vendredi 22 avril 2005
Statut
Membre
Dernière intervention
26 juin 2007
-
morickno
Messages postés
117
Date d'inscription
vendredi 22 avril 2005
Statut
Membre
Dernière intervention
26 juin 2007
-
Bonjour,

J'ai besion de faire des modifs dans une appli developpé en .net 2003 (qui utilisait donc le framework 1.1)
Je voudrai utiliser pour cela, Visual Studio 2005. Mais il me compile mon programme en utilisant le framework 2.0
Peu t'on forcer le logiciel Visual Studio 2005 à utiliser le framework 1.1
En effet, les postes clients n'ont pas encore le 2.0

Merci pour votre aide

A+

7 réponses

Messages postés
2237
Date d'inscription
lundi 29 mai 2006
Statut
Membre
Dernière intervention
29 mai 2008
5
Salut, système D: tu désinstalles les framework 2.0!

 Drikce 06 (Nouveau !!! Forum Exclusivement Office Et VBA By Mortalino)
Messages postés
7668
Date d'inscription
samedi 5 novembre 2005
Statut
Membre
Dernière intervention
22 août 2014
20
Bonjour,

Juste une question posée par un ignorant total de VB.Net :

Le setup d'installation d'une appli créée en VB.Net ne sait-il pas ajouter TOUT ce qui convient pour que l'exe tourne sur la machine cliente ?
Messages postés
14655
Date d'inscription
vendredi 14 mars 2003
Statut
Modérateur
Dernière intervention
23 février 2020
139
Bonjour

L'assistant créé à partir de l'EDI VS.NET 2005 repère (presque) toutes les dépendances des projets à installer, le framwork en fait partie, il est possible d'en forcer l'ajout dans le Setup (il me semble), mais cela fait grossir considérablement le setup..

Balèse la personne qui a pensé au pansement à penser (ou à panser, pensée).
VB (6, .NET1&2), C++, C#.Net1
Mon site
Messages postés
117
Date d'inscription
vendredi 22 avril 2005
Statut
Membre
Dernière intervention
26 juin 2007

Non, une application VB .net utilise un framework. Un Framework est une bibliotheque de classes te permettant de créer des programmes rapidement. On y retrouve par exemple tout ce qui est composant graphique. Ca fait des exe beaucoup moins lourd.

Si je ne me trompe pas, ce doit etre un truc comme ca.

A+
Messages postés
2237
Date d'inscription
lundi 29 mai 2006
Statut
Membre
Dernière intervention
29 mai 2008
5
Non non jfmarques as raison.

 Drikce 06 (Nouveau !!! Forum Exclusivement Office Et VBA By Mortalino)
Messages postés
7741
Date d'inscription
mercredi 1 septembre 2004
Statut
Membre
Dernière intervention
24 septembre 2014
33
Normalement VB2005 et par extension Visual Studio 2005 ne sait créer d'autres executables que ceux destiné au Framework 2.0. Il ne sait pas gérer autre chose que le Framework 2.0

De meme que VB.Net 2003 ne sait pas gerer autrechose que le Framework 1.1
De meme que VB.Net 2002 ne sait pas gerer autrechose que le Framework 1.0

Donc pour compiler un exe sur le Framework 1.1 il faut normalement obligatoirement passer par la version 2003

PS : VB2005 sait géré, en plus du Framework 2.0, le Framework 3.0 car celui n'est pas un véritable Framework, ce n'est en réalité qu'une extension du Framework 2.0

PS 2 : Orcas (future version de Visual Studio) sera lui normalement capable de gérer les différents Framework, tout au moin le 2.0, 3.0 et 3.5. Je ne sais pas s'il gereras le 1.1 et le 1.0

---- Sevyc64  (alias Casy) ----<hr size="2" width="100%" /># LE PARTAGE EST NOTRE FORCE #    http://aide-office-vba.monforum.com/index.php
Messages postés
117
Date d'inscription
vendredi 22 avril 2005
Statut
Membre
Dernière intervention
26 juin 2007

Merci pour toutes ces explications très détaillées et compréhensibles.

Ca ne m'arrange pas mais j'ai une réponse.

Encore merci

A+